Activate an AI prompt version (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /ai/admin/prompts/{purpose}/versions/{versionSlug}/activate

Makes one version the active prompt for its purpose and deactivates the previous one; activating the active version changes nothing. Returns 404 when the version does not exist. An unknown purpose returns 400. Super admins only.

Path parameters

  • purpose string Required

    Values are chunk_summary, period_summary, conversation_summary, case_summary, case_context_filing_extraction, relevance_gate, evidentiary_map_element, or tag_suggestion.

  • versionSlug string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • _id string
      • purpose string

        Values are chunk_summary, period_summary, conversation_summary, case_summary, case_context_filing_extraction, relevance_gate, evidentiary_map_element, or tag_suggestion.

      • versionSlug string
      • systemPrompt string
      • toolName string
      • toolDescription string
      • toolInputSchema object

        JSON Schema of the tool input.

      • model string
      • maxTokens number
      • temperature number
      • isActive boolean
      • notes string
      • createdBy string | null
      • updatedBy string | null
      • createdAt string(date-time) | null
      • updatedAt string(date-time) | null
    • statusCode number Required
    • timestamp string(date-time) Required
POST /ai/admin/prompts/{purpose}/versions/{versionSlug}/activate
curl \
 --request POST 'http://api.example.com/ai/admin/prompts/{purpose}/versions/{versionSlug}/activate' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "_id": "65a1b2c3d4e5f6a7b8c9d0e1",
    "purpose": "case_summary",
    "versionSlug": "case_summary.v2",
    "systemPrompt": "string",
    "toolName": "string",
    "toolDescription": "string",
    "toolInputSchema": {},
    "model": "sonnet",
    "maxTokens": 1024,
    "temperature": 0.2,
    "isActive": true,
    "notes": "string",
    "createdBy": "65a1b2c3d4e5f6a7b8c9d0e4",
    "updatedBy": "65a1b2c3d4e5f6a7b8c9d0e4",
    "createdAt": "2026-01-15T10:15:00.000Z",
    "updatedAt": "2026-01-15T10:15:00.000Z"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}